<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__gatt__eatt__functions" kind="group">
    <compoundname>gatt_eatt_functions</compoundname>
    <title>EATT</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__gatt__eatt__functions_1gaabda98cae7af8ff272f4e276296ab23e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t wiced_bt_gatt_eatt_register</definition>
        <argsstring>(wiced_bt_gatt_eatt_callbacks_t *p_gatt_cback, uint32_t max_gatt_bearers)</argsstring>
        <name>wiced_bt_gatt_eatt_register</name>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__gatt__eatt__callbacks__t">wiced_bt_gatt_eatt_callbacks_t</ref> *</type>
          <declname>p_gatt_cback</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>max_gatt_bearers</declname>
        </param>
        <briefdescription>
<para>Register an application callback for GATT. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">p_gatt_cback</parametername>
</parameternamelist>
<parameterdescription>
<para>: The GATT notification callback </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">max_gatt_bearers</parametername>
</parameternamelist>
<parameterdescription>
<para>: Total number of gatt bearers allowed across all devices (legacy + eatt)</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Number of (legacy + eatt) bearers allocated </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="1344" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__gatt__eatt__functions_1ga76d7ec594e89f33248363453d65978cf" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_gatt_eatt_connect</definition>
        <argsstring>(uint16_t legacy_conn_id, uint32_t mtu, uint32_t mps, uint32_t num_bearers, wiced_bt_eatt_drbs ppDRBs, wiced_bt_gatt_eatt_conn_id_list conn_id_list_out)</argsstring>
        <name>wiced_bt_gatt_eatt_connect</name>
        <param>
          <type>uint16_t</type>
          <declname>legacy_conn_id</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>mtu</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>mps</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>num_bearers</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__wicedbt__gatt_1gaccfa49f84e56ea41ab53e943e2e5acc6">wiced_bt_eatt_drbs</ref></type>
          <declname>ppDRBs</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__wicedbt__gatt_1ga4fdb2145ff962cd70165abe0033d90b4">wiced_bt_gatt_eatt_conn_id_list</ref></type>
          <declname>conn_id_list_out</declname>
        </param>
        <briefdescription>
<para>API to create the enhanced gatt channels, using the legacy/unenhanced connection id. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">legacy_conn_id</parametername>
</parameternamelist>
<parameterdescription>
<para>: GATT DB characteristic handle </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">mtu</parametername>
</parameternamelist>
<parameterdescription>
<para>: EATT bearer Maximum Transmission Unit </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">mps</parametername>
</parameternamelist>
<parameterdescription>
<para>: EATT bearer Maximum PDU Payload Size </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">num_bearers</parametername>
</parameternamelist>
<parameterdescription>
<para>: Number of EATT bearers to be established in this call </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">ppDRBs</parametername>
</parameternamelist>
<parameterdescription>
<para>: Data Receive Buffers, each of MTU size for each of the bearers to be established </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">conn_id_list_out</parametername>
</parameternamelist>
<parameterdescription>
<para>: Connection Ids created for the EATT bearers</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref> </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="1360" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__gatt__eatt__functions_1ga085bfe9e5516f2029ba398cfd37b97f9" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_gatt_eatt_connect_response</definition>
        <argsstring>(wiced_bt_gatt_eatt_connection_indication_event_t *p_indication, wiced_bt_gatt_eatt_connection_response_t *p_response, wiced_bt_gatt_eatt_conn_id_list conn_id_list_out)</argsstring>
        <name>wiced_bt_gatt_eatt_connect_response</name>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__gatt__eatt__connection__indication__event__t">wiced_bt_gatt_eatt_connection_indication_event_t</ref> *</type>
          <declname>p_indication</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__gatt__eatt__connection__response__t">wiced_bt_gatt_eatt_connection_response_t</ref> *</type>
          <declname>p_response</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__wicedbt__gatt_1ga4fdb2145ff962cd70165abe0033d90b4">wiced_bt_gatt_eatt_conn_id_list</ref></type>
          <declname>conn_id_list_out</declname>
        </param>
        <briefdescription>
<para>API to create the respond to the enhanced gatt channels connection indication. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">p_indication</parametername>
</parameternamelist>
<parameterdescription>
<para>: <ref kindref="compound" refid="structwiced__bt__gatt__eatt__connection__indication__event__t">wiced_bt_gatt_eatt_connection_indication_event_t</ref> received in <ref kindref="compound" refid="structwiced__bt__gatt__eatt__callbacks__t">wiced_bt_gatt_eatt_callbacks_t</ref> </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_response</parametername>
</parameternamelist>
<parameterdescription>
<para>: <ref kindref="compound" refid="structwiced__bt__gatt__eatt__connection__response__t">wiced_bt_gatt_eatt_connection_response_t</ref> response data sent by the receiver of <ref kindref="compound" refid="structwiced__bt__gatt__eatt__callbacks__t">wiced_bt_gatt_eatt_callbacks_t</ref> </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">conn_id_list_out</parametername>
</parameternamelist>
<parameterdescription>
<para>: Connection Ids created for the EATT bearers</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>characteristic descriptor handle </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="1374" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__gatt__eatt__functions_1ga83db0a97904230b45db1025f1d89d3ec" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_gatt_eatt_reconfigure</definition>
        <argsstring>(wiced_bt_gatt_eatt_conn_id_list conn_id_list, uint32_t num_bearers, uint32_t mtu, uint32_t mps, wiced_bt_eatt_drbs ppDRBs)</argsstring>
        <name>wiced_bt_gatt_eatt_reconfigure</name>
        <param>
          <type><ref kindref="member" refid="group__wicedbt__gatt_1ga4fdb2145ff962cd70165abe0033d90b4">wiced_bt_gatt_eatt_conn_id_list</ref></type>
          <declname>conn_id_list</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>num_bearers</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>mtu</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>mps</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__wicedbt__gatt_1gaccfa49f84e56ea41ab53e943e2e5acc6">wiced_bt_eatt_drbs</ref></type>
          <declname>ppDRBs</declname>
        </param>
        <briefdescription>
<para>API to create the reconfigurethe enhanced gatt channels. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">conn_id_list</parametername>
</parameternamelist>
<parameterdescription>
<para>: <ref kindref="member" refid="group__wicedbt__gatt_1ga4fdb2145ff962cd70165abe0033d90b4">wiced_bt_gatt_eatt_conn_id_list</ref> to be reconfigured </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">num_bearers</parametername>
</parameternamelist>
<parameterdescription>
<para>: Number of bearers in the conn_ids list </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">mtu</parametername>
</parameternamelist>
<parameterdescription>
<para>: New MTU value </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">mps</parametername>
</parameternamelist>
<parameterdescription>
<para>: New MPS value </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">ppDRBs</parametername>
</parameternamelist>
<parameterdescription>
<para>: New pointers to the DRBs, each of size MTU for each of bearer in the conn_id_list</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref> </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="1391" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>EATT API. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>